Ubuntu: How can I install qTox on (k)ubuntu 17.04?



Question:

I tried to compile qTox, but nothing to do.

I tried using these instructions, but they are only for uTox, not qTox.

Could you help me?


Solution:1

Easier than installing qTox:

You can install uTox trivially using the instructions linked in your question:

echo "deb https://pkg.tox.chat/debian stable $(lsb_release -cs)" | sudo tee /etc/apt/sources.list.d/tox.list  wget -qO - https://pkg.tox.chat/debian/pkg.gpg.key | sudo apt-key add -  sudo apt install apt-transport-https  sudo apt update  sudp apt install utox  

If you insist on using qTox, you can have a go at compiling it. I followed the installation instructions on GitHub.

Installing qTox:

The procedure below is what I did to successfully compile and install qTox on Ubuntu MATE 17.04. YMMV, but the instructions are for 16.04 and later.

Install git if not already done - we need that to get started

sudo apt install git  

Make a new directory for the sources

mkdir $HOME/qTox  cd $HOME/qTox  

Clone qTox (yes, I know we now have /home/$USER/qTox/qTox, there's a reason for this, honest!)

git clone https://github.com/qTox/qTox.git qTox  

Before we try to do anything with that, we need to install the dependencies for it:

sudo apt install \  build-essential \  cmake \  libavcodec-dev \  libavdevice-dev \  libavfilter-dev \  libavutil-dev \  libgdk-pixbuf2.0-dev \  libglib2.0-dev \  libgtk2.0-dev \  libopenal-dev \  libqrencode-dev \  libqt5opengl5-dev \  libqt5svg5-dev \  libsqlcipher-dev \  libswresample-dev \  libswscale-dev \  libxss-dev \  qrencode \  qt5-default \  qt5-qmake \  qttools5-dev-tools  

We also need to compile toxcore, and for that, apparently we need:

sudo apt install \  libtool \  autotools-dev \  automake \  checkinstall \  check \  libopus-dev \  libvpx-dev \  libsodium-dev  

OK we need to clone the toxcore repo:

git clone https://github.com/toktok/c-toxcore.git toxcore  cd toxcore  

Notice we are in /home/$USER/qTox/toxcore. Tidy, no? :) Continue with:

git checkout v0.1.2  autoreconf -if  ./configure  

Now if the configure script complains, check that you followed all of the above steps correctly. If you are sure you have installed all the dependencies mentioned, and it complains about a missing library, try... I hate to say "search for the answer", but I'm saying it: try searching in your favourite search engine for the error message, and most likely you will find the answer on Stack Overflow. You can also try apt search <part-of-library-name>, but then you have to do some guesswork. In this case I think the list of dependencies is complete, so hopefully you will manage. If ./configure exits successfully, you can run

make  

and if make exits successfully, you can run

sudo make install  

(It's a good idea to use checkinstall instead of make install to create a deb package from the compiled files - then dpkg will know about your qtox and will help you to manage it)

echo '/usr/local/lib/' | sudo tee -a /etc/ld.so.conf.d/locallib.conf  sudo ldconfig  

OK that was toxcore, now for qTox, which we're using cmake for

cd ../qTox     # or if you wandered off:  cd $HOME/qTox/qTox  cmake .        # don't forget the .  make  

Wait patiently (or admire your amazing CPU if it all happens fast) and when it's done

sudo make install  

(or use checkinstall)

And you are done. Run

qtox  

To set up and start using it.


Solution:2

make install make install-recursive make[1]: se entra en el directorio '/home/telecom/qTox/toxcore' Making install in build make[2]: se entra en el directorio '/home/telecom/qTox/toxcore/build' make[3]: se entra en el directorio '/home/telecom/qTox/toxcore/build' /bin/mkdir -p '/usr/local/lib' /bin/bash ../libtool --mode=install /usr/bin/install -c libtoxcore.la libtoxdns.la libtoxencryptsave.la libtoxav.la '/usr/local/lib' libtool: install: /usr/bin/install -c .libs/libtoxcore.so.0.0.0 /usr/local/lib/libtoxcore.so.0.0.0 /usr/bin/install: cannot create regular file '/usr/local/lib/libtoxcore.so.0.0.0': Permission denied Makefile:1328: fallo en las instrucciones para el objetivo 'install-libLTLIBRARIES' make[3]: * [install-libLTLIBRARIES] Error 1 make[3]: se sale del directorio '/home/telecom/qTox/toxcore/build' Makefile:2893: fallo en las instrucciones para el objetivo 'install-am' make[2]: [install-am] Error 2 make[2]: se sale del directorio '/home/telecom/qTox/toxcore/build' Makefile:517: fallo en las instrucciones para el objetivo 'install-recursive' make[1]: [install-recursive] Error 1 make[1]: se sale del directorio '/home/telecom/qTox/toxcore' Makefile:814: fallo en las instrucciones para el objetivo 'install' make: * [install] Error 2

these errors that I mention are running under linux mint 18.3.

If you can help me, I would appreciate it very much


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »